[vlc-commits] extras/macosx: add buildbot option to the packaging script, so it no longer fails without window server

Felix Paul Kühne git at videolan.org
Sun Mar 23 23:03:32 CET 2014


npapi-vlc | branch: master | Felix Paul Kühne <fkuehne at videolan.org> | Sun Mar 23 23:01:44 2014 +0100| [79465419a56741d0d6947a8125f9a8cadad250e3] | committer: Felix Paul Kühne

extras/macosx: add buildbot option to the packaging script, so it no longer fails without window server

> http://git.videolan.org/gitweb.cgi/npapi-vlc.git/?a=commit;h=79465419a56741d0d6947a8125f9a8cadad250e3
---

 extras/macosx/create-dmg.sh |   36 ++++++++++++++++++++++++++++++++----
 1 file changed, 32 insertions(+), 4 deletions(-)

diff --git a/extras/macosx/create-dmg.sh b/extras/macosx/create-dmg.sh
index d1a1687..2d30362 100755
--- a/extras/macosx/create-dmg.sh
+++ b/extras/macosx/create-dmg.sh
@@ -8,6 +8,19 @@ info()
     echo "[${green}build${normal}] $1"
 }
 
+BUILDBOT=no
+
+usage()
+{
+cat << EOF
+usage: $0 [options]
+
+OPTIONS
+   -h            Show this help
+   -b            Enable buildbot mode (if you don't have a window server)
+EOF
+}
+
 spushd()
 {
     pushd "$1" > /dev/null
@@ -18,6 +31,19 @@ spopd()
     popd > /dev/null
 }
 
+while getopts "hb" OPTION
+do
+     case $OPTION in
+         h)
+             usage
+             exit 1
+             ;;
+         b)
+             BUILDBOT=yes
+             ;;
+     esac
+done
+
 out="/dev/null"
 
 npapiroot=`dirname $0`/../..
@@ -50,10 +76,12 @@ info "Creating disk-image"
 hdiutil create -srcfolder ${npapiroot}/"${DMGFOLDERNAME}" "${npapiroot}/${DMGITEMNAME}-rw.dmg" -scrub -format UDRW
 mkdir -p ./mount
 
-info "Moving file icons around"
-hdiutil attach -readwrite -noverify -noautoopen -mountRoot ./mount ${DMGITEMNAME}-rw.dmg
--osascript "${npapiroot}"/extras/macosx/dmg_setup.scpt "${DMGFOLDERNAME}"
-hdiutil detach ./mount/"${DMGFOLDERNAME}"
+if [ "$BUILDBOT" = "no" ]; then
+    info "Moving file icons around"
+    hdiutil attach -readwrite -noverify -noautoopen -mountRoot ./mount ${DMGITEMNAME}-rw.dmg
+    osascript "${npapiroot}"/extras/macosx/dmg_setup.scpt "${DMGFOLDERNAME}"
+    hdiutil detach ./mount/"${DMGFOLDERNAME}"
+fi
 
 info "Compressing disk-image"
 rm -f ${DMGITEMNAME}.dmg



More information about the vlc-commits mailing list